Subject: Re: [PATCH v3] builtin/remote.c: teach `-v` to list filters for promisor remotes

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 May 2022 09:29:33 -0700

Philippe Blain <[email-masked]> writes:

>> Signed-off-by: Abhradeep Chakraborty <[email-masked]>
>> ---
>>     builtin/remote.c: teach -v to list filters for promisor remotes
>>     
>>     Fixes #1211 [1]
>
> I don't think this matters much, but if Junio is OK with that, it would
> be nice to include the reference to the GitGitGadget issue in the commit
> message itself, though with its full URL, something like:
>
> Closes: https://github.com/gitgitgadget/git/issues/1211
>
> as another trailer before your signed-off-by. By including it in the 
> commit message we allow the issue to be closed automatically when your topic
> branch is merged to 'master'. By using the full link we make sure that GitHub 
> knows we are targetting that issue specifically, not any other issue or PR in 
> any fork of Git with the same number.

Nice to know.  Is there a handy GGG users' guide that mentions these
"magic trailers" (the other one I have seen used is "Cc:")?

> Again, small nit to make it easier for reviewers: usually we prefer to see
> what has changed since the previous version first, and then (if you want, 
> it's not strictly necessary) what changed in the other previous versions. 

Yup.  For a single-patch topic, the following may not apply, but for
a multi-patch topic, a full "topic overview" should also be
available in the cover letter of the latest version.

A reviewer who was absent while older iterations were reviewed
should not have to fish for cover letters of previous iterations to
learn what the topic is about to decide if the topic is worth their
time to review.  Once they get interested enough, they can of course
dig older iterations, but the job of the cover letter in each
iteration is to allow them to become interested with the least
effort.

Thanks.